Package net.md_5.bungee.api

# Interface ProxyServer.Unsafe

Enclosing class:
  ProxyServer

public static interface ProxyServer.Unsafe

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BungeeChannelInitializer`
  `getBackendChannelInitializer()`
  Gets the backend channel initializer
  `BungeeChannelInitializer`
  `getFrontendChannelInitializer()`
  Gets the frontend channel initializer
  `BungeeChannelInitializer`
  `getServerInfoChannelInitializer()`
  Gets the server info channel initializer
  `void`
  `setBackendChannelInitializer(BungeeChannelInitializer channelInitializer)`
  Set the backend channel initializer of this proxy
  `void`
  `setFrontendChannelInitializer(BungeeChannelInitializer channelInitializer)`
  Set the frontend channel initializer of this proxy
  `void`
  `setServerInfoChannelInitializer(BungeeChannelInitializer channelInitializer)`
  Set the server info channel initializer of this proxy

- ## Method Details

  - ### getFrontendChannelInitializer

    BungeeChannelInitializer getFrontendChannelInitializer()
    Gets the frontend channel initializer
    Returns:
      the frontend channel initializer

  - ### setFrontendChannelInitializer

    void setFrontendChannelInitializer(BungeeChannelInitializer channelInitializer)
    Set the frontend channel initializer of this proxy
    Parameters:
      `channelInitializer` - the frontend channelInitializer to set

  - ### getBackendChannelInitializer

    BungeeChannelInitializer getBackendChannelInitializer()
    Gets the backend channel initializer
    Returns:
      the backend channel initializer

  - ### setBackendChannelInitializer

    void setBackendChannelInitializer(BungeeChannelInitializer channelInitializer)
    Set the backend channel initializer of this proxy
    Parameters:
      `channelInitializer` - the backend channelInitializer to set

  - ### getServerInfoChannelInitializer

    BungeeChannelInitializer getServerInfoChannelInitializer()
    Gets the server info channel initializer
    Returns:
      the server info channel initializer

  - ### setServerInfoChannelInitializer

    void setServerInfoChannelInitializer(BungeeChannelInitializer channelInitializer)
    Set the server info channel initializer of this proxy
    Parameters:
      `channelInitializer` - the server info channelInitializer to set